Bug 728287 - Coverity scan revealed defects
Summary: Coverity scan revealed defects
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mesa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dave Airlie
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 842499
TreeView+ depends on / blocked
 
Reported: 2011-08-04 15:25 UTC by Michal Luscon
Modified: 2014-10-30 03:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-30 03:54:57 UTC


Attachments (Terms of Use)

Description Michal Luscon 2011-08-04 15:25:02 UTC
Description of problem:

mesa-20110720/src/mesa/main/texparam.c:1254: unterminated_case: This case (value 34895) is not terminated by a 'break' statement.

mesa-20110720/src/mesa/main/teximage.c:3336 - On this path, the condition "error" cannot be true.
mesa-20110720/src/mesa/main/teximage.c:3276 - After this line, the value of "error" is equal to 0.

mesa-20110720/src/mesa/main/extensions.c:990 - This less-than-zero comparison of an unsigned value is never true. "index < 0U".

Version-Release number of selected component (if applicable):
20110720

Additional info:
These defects were added between RHEL-6.1 and RHEL-6.2 version of package.

Comment 3 RHEL Product and Program Management 2011-10-07 15:56:18 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 5 Dave Airlie 2014-10-30 03:54:57 UTC
we've rebased mesa upstream since this, also upstream is now running coverity, probably not something we need to fix now.

Thanks,
Dave.


Note You need to log in before you can comment on or make changes to this bug.